/*
 * at51programmer       Programmer for Atmel 8051 devices, Parallel Flash and
 *                      E2Prom memories.
 *
 * at51defs.h		general definitions
 *
 * Copyright (C) 2004, Petar T. Petkoff
 *
 * Petar T. Petkoff <tihomiroff@yahoo.com>
 *
 * This program is free software, distributed under the terms of
 * the GNU General Public License version 2
 */

#ifndef _at51defs_h_at51tool
#define _at51defs_h_at51tool

#define _No				0
#define _no				0
#define _Yes				1
#define _yes				1

#define _CMD_READ			0x0001
#define _CMD_WRITE			0x0002
#define _CMD_BURN			0x0004
#define _CMD_ERASE			0x0008
#define _CMD_LOCK1			0x0010
#define _CMD_LOCK2			0x0020
#define _CMD_LOCK3			0x0040
#define _CMD_LOCK4			0x0080
#define _CMD_READLOCK			0x0100
#define _CMD_TEST			0x0200

typedef unsigned char byte;

#endif

/* end of at51defs.h */
