/*
 * at51programmer       Programmer for Atmel 8051 devices, Parallel Flash and
 *                      E2Prom memories.
 *
 * at51table.h		template: device table
 *
 * Copyright (C) 2004, Petar T. Petkoff
 *
 * Petar T. Petkoff <tihomiroff@yahoo.com>
 *
 * This program is free software, distributed under the terms of
 * the GNU General Public License version 2
 */

#ifndef _at51table_h_at51tool
#define _at51table_h_at51tool

typedef struct {
    char partname[32];
    char vendor[32];
    char supporttest;
    char testhelp[64];
    char supportread;
    char readhelp[64];
    char supportwrite;
    char writehelp[64];
    char supportburn;
    char burnhelp[64];
    char supporterase;
    char erasehelp[64];
    char supportlock1;
    char lock1help[64];
    char supportlock2;
    char lock2help[64];
    char supportlock3;
    char lock3help[64];
    char supportlock4;
    char lock4help[64];
    char supportreadlock;
    char readlockhelp[64];
} at51_table_t;

#endif

/* end of at51table.h */
